"""create table for movies
Revision ID: 2b3c4d5e6f7a
Revises: 0001
Create Date: 2023-05-23 12:34:56

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers, used by Alembic.
revision = '2b3c4d5e6f7a'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'movies',
        sa.Column('id', sa.String(36), primary_key=True, default=func.uuid_generate_v4()),
        sa.Column('title', sa.String(), nullable=False),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('release_year', sa.Integer(), nullable=False),
        sa.Column('runtime', sa.Integer(), nullable=True),
        sa.Column('rating', sa.Integer(), nullable=True),
        sa.Column('director_id', sa.String(36), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=sa.func.now(), onupdate=sa.func.now())
    )

def downgrade():
    op.drop_table('movies')