from sqlalchemy import Column, String, Integer, DateTime, ForeignKey
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy.orm import relationship
from sqlalchemy.sql import func
from core.database import Base
import uuid

class Movie(Base):
    __tablename__ = "movies"

    id = Column(UUID(as_uuid=True), primary_key=True, default=uuid.uuid4)
    title = Column(String, nullable=False)
    description = Column(String, nullable=True)
    release_year = Column(Integer, nullable=False)
    runtime = Column(Integer, nullable=True)
    rating = Column(Integer, nullable=True)
    director_id = Column(UUID(as_uuid=True), ForeignKey("directors.id"), nullable=False)
    director = relationship("Director", back_populates="movies")
    created_at = Column(DateTime, default=func.now())
    updated_at = Column(DateTime, default=func.now(), onupdate=func.now())